const system = require("../../../system");
var settings = require("../../../../config/settings");
class PolicyService{
  constructor() {
    this.centerOrderUrl = settings.centerOrderUrl();
    this.execClient = system.getObject("util.execClient");
    this.cacheManager = system.getObject("db.common.cacheManager");
  };
  async getWxToken(){
    var data =  await this.cacheManager["WxTokenCache"].get();
    if(data){
      return system.getResultSuccess(data);
    }
    return system.getResult();
  }
  async policyQuery(pobj) {
    var url = this.centerOrderUrl + "action/policy/springBoard";
    var rtn = await this.execClient.execPost(pobj, url);
    var data = JSON.parse(rtn.stdout);
    return data;
  }
  async submitPolicyNeed(pobj) {
    var url = this.centerOrderUrl + "action/policy/springBoard";
    var rtn = await this.execClient.execPost(pobj, url);
    var data = JSON.parse(rtn.stdout);
    return data;
  }
  async getPolicyNeedList(pobj){
    var url = this.centerOrderUrl + "action/policy/springBoard";
    var rtn = await this.execClient.execPost(pobj, url);
    var data = JSON.parse(rtn.stdout);
    return data;
  }
  async submitPolicyNeedNotes(pobj){
    var url = this.centerOrderUrl + "action/policy/springBoard";
    var rtn = await this.execClient.execPost(pobj, url);
    var data = JSON.parse(rtn.stdout);
    return data;
  }
}
module.exports = PolicyService;
