<a name="menu" href="/doc">返回主目录</a>

1. [政策检索](#policyQuery)
1. [政策申请提报](#submitPolicyNeed)
1. [政策需求列表](#getPolicyNeedList)
1. [需求信息备注提交](#submitPolicyNeedNotes)

## **<a name="policyQuery"> 政策检索(H5)</a>**
[返回到目录](#menu)
##### URL
[/web/action/policy/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：policyQuery
``` javascript
 {
        "actionType": "policyQuery",
        "actionBody": {
           "policyName":"北京市",
           "policyProvince":"北京市",
           "policyCity":"北京市"
        }
 }

```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":{
        "rlzy":[
            {
                "policyType":"rlzy",
                "policyTypeName":"人力资源",
                "policyDate":"2020-02-05T14:14:24.000Z",
                "policyContent":null,
                "policyCity":"北京市",
                "policyProvince":"北京市",
                "policyLinkUrl":"http://www.beijing.gov.cn/zhengce/zhengcefagui/202002/t20200206_1625493.html",
                "policySource":"京政办发〔2020〕7号",
                "policyName":"北京市人民政府办公厅关于应对新型冠状病毒感染的肺炎疫情影响促进中小微企业持续健康发展的若干措施
北京市人民政府办公厅关于应对新型冠状病毒感染的肺炎疫情影响促进中小微企业持续健康发展的若干措施",
                "policyNo":"bj001"
            }
        ],
        "fzbt":[

        ],
        "jrdk":[

        ],
        "zdfc":[

        ],
        "ssjm":[

        ]
    },
    "requestId":"2c1ebf037aed4b30aa8e497c7a151a8e"
}

```
## **<a name="submitPolicyNeed"> 政策申请提报(H5)</a>**
[返回到目录](#menu)
##### URL
[/web/action/policy/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：submitPolicyNeed
``` javascript
 {
        "actionType": "submitPolicyNeed",
        "actionBody": {
          "contacts":"联系人",       
		   "company":"公司名称",    
		    "industry":"行业名称",    
		     "region":"行业名称",
		    "mobile":"13075556693",    
		    "policy_id":1,
		    "popularizeUserCode":"推广人手机号"
        }
 }

```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":null,
    "requestId":"6afebe73d2fa47dbb2dd451468b4e3ac"
}
```
## **<a name="getPolicyNeedList"> 政策需求列表(后台页面)</a>**
[返回到目录](#menu)
##### URL
[/web/action/policy/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：getPolicyNeedList
``` javascript
 {
        "actionType": "getPolicyNeedList",
        "actionBody": {
        	"policyName":"北京",
        	"policyProvince":"北京市",
        	"policyCity":"北京市",
        	"policyType":"rlzy",
        	"customerIntention":"dgj",
        	"pageSize":"20",
        	"pageIndex":"1"
        }
 }

```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":[
        {
            "id":1,
            "uapp_id":30,
            "contacts":"联系人",
            "customerIntention":"dgj",
            "customerIntentionName":null,
            "company":"公司名称",
            "industry":"行业名称",
            "region":"行业名称",
            "mobile":"13075556693",
            "policy_id":1,
            "applyDate":"2020-02-11T06:28:35.000Z",
            "opNotes":null,
            "popularizeUserCode":"13075556693",
            "policyNo":"bj001",
            "policyName":"北京市人民政府办公厅关于应对新型冠状病毒感染的肺炎疫情影响促进中小微企业持续健康发展的若干措施
北京市人民政府办公厅关于应对新型冠状病毒感染的肺炎疫情影响促进中小微企业持续健康发展的若干措施",
            "policyType":"rlzy",
            "policyTypeName":"人力资源",
            "policySource":"京政办发〔2020〕7号",
            "policyLinkUrl":"http://www.beijing.gov.cn/zhengce/zhengcefagui/202002/t20200206_1625493.html",
            "policyDate":"2020-02-05T14:14:24.000Z",
            "policyProvince":"北京市",
            "policyCity":"北京市",
            "policyContent":null
        }
    ],
    "dataCount":1,
    "requestId":"de04d31de8114cc78b5257c59ea31355"
}
```

## **<a name="submitPolicyNeedNotes"> 需求信息备注提交(后台页面)</a>**
[返回到目录](#menu)
##### URL
[/web/action/policy/springBoard]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
#### 渠道执行的类型 actionType：submitPolicyNeedNotes
``` javascript
  {
        "actionType": "submitPolicyNeedNotes",
        "actionBody": {
        	"needId":"17",
        	"customerIntention":"wyx",
        	"intentionContent":"补办了"
        }
 }

```

#### 返回结果
```javascript
{
    "status":0,
    "msg":"success",
    "data":null,
    "requestId":"0a4483b9b7ca4594b1bfc487d49746d2"
}
```

